CertId (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.crmf

## Class CertId

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.crmf.CertId

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CertId
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertId(GeneralName issuer, ASN1Integer serialNumber)`
    `CertId(GeneralName issuer, java.math.BigInteger serialNumber)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CertId` | `getInstance(ASN1TaggedObject obj, boolean isExplicit)`
    `static CertId` | `getInstance(java.lang.Object o)`
    `GeneralName` | `getIssuer()`
    `ASN1Integer` | `getSerialNumber()`
    `ASN1Primitive` | `toASN1Primitive()` CertId ::= SEQUENCE { issuer GeneralName, serialNumber INTEGER }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertId

          public CertId(GeneralName issuer,
                        java.math.BigInteger serialNumber)

    - #### CertId

          public CertId(GeneralName issuer,
                        ASN1Integer serialNumber)

  - ### Method Detail

    - #### getInstance

          public static CertId getInstance(java.lang.Object o)

    - #### getInstance

          public static CertId getInstance(ASN1TaggedObject obj,
                                           boolean isExplicit)

    - #### getIssuer

          public GeneralName getIssuer()

    - #### getSerialNumber

          public ASN1Integer getSerialNumber()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           CertId ::= SEQUENCE {
                           issuer           GeneralName,
                           serialNumber     INTEGER }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.